“Not Provisioned” Error on Device When Downloading App

book

Article ID: 158161

calendar_today

Updated On:

Products

Symantec Products

Issue/Introduction

App is grayed out and/or gives the following error: “Not Provisioned – You cannot install <app name> because it was not provisioned to run on your device. Contact your administrator for more information.” (Screenshot 1)

“Not Provisioned – You cannot install <app name> because it was not provisioned to run on your device. Contact your administrator for more information.”

Cause

Upon inspecting the current, non-working <app name>.ipa file the following was found in the embedded.mobileprovision file
          <key>ProvisionedDevices</key>
          <array>
                  <string><device1 GUID></string>
                  <string><device2 GUID></string>
        </array>

When compared to the previous version, the working <app name>.ipa file, the following was found in the embedded.mobileprovision file

          <key>ProvisionsAllDevices</key>
          <true/>

Resolution

This leads us to the conclusion that the latest versions of the problem apps were provisioned with a "Development" provisioning profile or an "Ad Hoc" version of a "Distribution" provisioning profile. "Development" and "Ad Hoc" provisioning profiles require you to "white list" a set of devices that can install an app. This is causing the currently exhibited behavior for users attempting to upgrade to the latest build of these apps.

It is recommended that the developer of the affected apps recreate the .IPA archive with a "Distribution" provisioning profile, specifically an "In House" version of a "Distribution" profile and re-upload to the App Center. (Screenshot 2)

Workaround: If it will take a while to recreate the apps, you can roll back the current, non-working, version of the app in the App Store by going to the details view of the affected app and clicking the "Replace" button, which will allow you to revert back to a previous version of the app. (Screenshot 3 & 4)


Applies To

This applies to version 3.x and 4.x of Symantec App Center, RHEL/CentOS 5.5-5.8 64-bit and SaaS, iOS apps only

Attachments

Not Prvisioned 4.png get_app
Not Prvisioned 3.png get_app
Not Prvisioned 2.png get_app
Not Prvisioned 1.png get_app